View Issue Details

IDProjectCategoryView StatusLast Update
0000292Far Manager 1.7xDescriptionspublic2009-09-13 15:27
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.75 
Summary0000292: Операции над файлом без описания ведут к "обновлению" файла описаний
DescriptionЧто делаю: удаляю, переименовываю или копирую (в той же папке) файл, не имеющий описания.
Что ожидаю: с файлом описаний ничего не должно произойти.
Что наблюдаю: теряется (становится текущим) время последней модификации файла описаний.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=24236#24236
TagsNo tags attached.
Build2607

Relationships

has duplicate 0000970 closedvskirdin Far Manager Дата изменения descript.ion не должна обновляться, если изменений не было 

Activities

HaRT

2009-01-08 20:04

reporter   bugnote:0002301

Обнаружилось, что отменённое удаление файла только для чтения ведёт к "обновлению" файла описаний (по меньшей мере в сборке 2494), притом независимо от того, есть ли у него описание.

Как воспроизвести:
1. В папке, где есть файл описаний, создаём файл, выставляем ему атрибут "только для чтения".
2. Предпринимаем попытку его удалить (F8 или ShiftDel).
3. На первое предупреждение (что файл будет удалён) отвечаем утвердительно.
4. На втором предупреждении (что файл только для чтения) операцию отменяем.
5. Удостоверяемся, что файл описаний получил текущие дату-время модификации.

AlexII

2009-01-19 22:14

reporter   bugnote:0002345

Аналогичная ситуация для файла описаний на пассивной панели.

1. В активной панели файл без описания.
2. В пассивной панели файл с тем же именем, тоже без описания; сам файл описаний Descript.ion на пассивной панели присутствует.
3. Пытаемся скопировать/переместить файл с активной панели на пассивную.
4. Появляется диалог [═ Предупреждение ═][ Файл уже существует ].
5. Отменяем операцию копирования/перемещения.
6. Файл описаний Descript.ion на пассивной панели получает текущие дата/время модификации (на момент отмены операции).

Maximus

2009-07-14 21:45

reporter   bugnote:0003727

090714.diff - должен все вылечить

2009-07-14 21:46

 

090714.7z (711 bytes)

vskirdin

2009-08-25 17:22

administrator   bugnote:0003942

2.0 = build 1089

HaRT

2009-09-10 15:24

reporter   bugnote:0004061

Проверено на сборке 2607

Issue History

Date Modified Username Field Change
2007-05-31 07:44 HaRT New Issue
2008-10-05 05:00 Zuz Status new => assigned
2008-10-05 05:00 Zuz Assigned To => Zuz
2009-01-08 20:04 HaRT Note Added: 0002301
2009-01-19 22:14 AlexII Note Added: 0002345
2009-07-14 21:45 Maximus Note Added: 0003727
2009-07-14 21:46 Maximus File Added: 090714.7z
2009-07-14 23:11 DrKnS Relationship added has duplicate 0000970
2009-08-25 17:22 vskirdin Note Added: 0003942
2009-08-25 17:22 vskirdin Assigned To Zuz => vskirdin
2009-08-25 17:22 vskirdin Status assigned => feedback
2009-09-10 15:24 HaRT Note Added: 0004061
2009-09-10 15:24 HaRT Status feedback => resolved
2009-09-10 15:24 HaRT Resolution open => fixed
2009-09-13 15:27 vskirdin Build => 2607
2009-09-13 15:27 vskirdin Status resolved => closed
2009-09-13 15:27 vskirdin Fixed in Version => 1.75